Download it now!
Bug 30571 - DRAW: 'graphics Mode' icon without function in vertical toolbar arrangement
Summary: DRAW: 'graphics Mode' icon without function in vertical toolbar arrangement
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
3.3.0 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 35000 Carolus 47714 48631 (view as bug list)
Depends on:
Blocks: Vertical-Toolbar
  Show dependency treegraph
 
Reported: 2010-10-02 12:26 UTC by Michèle Garoche
Modified: 2014-10-26 20:11 UTC (History)
12 users (show)

See Also:
Crash report or crash signature:


Attachments
screenshot of the tools not accessible in red (24.45 KB, image/png)
2010-10-02 12:26 UTC, Michèle Garoche
Details
Sub menu color when positioned horizontally (18.12 KB, image/png)
2010-10-14 08:56 UTC, Michèle Garoche
Details
Transparent field and arrows when positioned horizontally (5.42 KB, image/png)
2010-10-14 08:58 UTC, Michèle Garoche
Details
Comparison horizontal/vertical picture toolbar in impress (37.49 KB, image/png)
2010-11-19 20:55 UTC, Michèle Garoche
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michèle Garoche 2010-10-02 12:26:34 UTC
Created attachment 39122 [details]
screenshot of the tools not accessible in red

System/Architecture: Mac OS X 10.5.8 Intel
LibreOffice version: 3.3.0

When dragging toolbars which have fields or submenu like Picture in Impress, some elements are no more accessible.
Comment 1 Jan Holesovsky 2010-10-14 05:22:46 UTC
Can you please specify more what you mean by 'are no more accessible'?  It is impossible to click on them?  Or?
Comment 2 Michèle Garoche 2010-10-14 08:53:50 UTC
(In reply to comment #1)
> Can you please specify more what you mean by 'are no more accessible'?  It is
> impossible to click on them?  Or?
You may click on them of course, but it has no effect. You cannot view the submenu for colors or the field and the arrows for transparency as when they are positioned horizontally.
Screenshots attached.
Comment 3 Michèle Garoche 2010-10-14 08:56:30 UTC
Created attachment 39446 [details]
Sub menu color when positioned horizontally

Not viewed when clicking on the color menu when it is positioned vertically
Comment 4 Michèle Garoche 2010-10-14 08:58:08 UTC
Created attachment 39447 [details]
Transparent field and arrows when positioned horizontally

Not viewed when clicking on transparent icon when it is positioned vertically
Comment 5 Don't use this account, use tml@iki.fi 2010-11-19 05:06:41 UTC
Do you see the same still in beta 3?
Comment 6 Michèle Garoche 2010-11-19 20:54:27 UTC
(In reply to comment #5)
> Do you see the same still in beta 3?
Sub menu color expands now. The reminder does not expand.
A screenshot showing the difference between the toolbar when placing horizontally and vertically is attached.
Comment 7 Michèle Garoche 2010-11-19 20:55:54 UTC
Created attachment 40427 [details]
Comparison horizontal/vertical picture toolbar in impress
Comment 8 Rainer Bielefeld Retired 2010-12-16 04:08:05 UTC
[Reproducible] with "LibreOffice 3.3.0 RC1 - WIN XP German UI  [OOO330m17 (build 3.3.0.1". Because no precise version information from reporter available I set this one in picker.
Also a Prolbem in CALC and WRITER, so general UI problem. It seems that pulldowns or icons with pulldowns have problems in vertically adjusted toolbars, for example format toolbar /  character size. 

I generally do not use vertical toolbars since OOo 1.4, but users with widescreen monitors might use that, and it's very visible problem, so I will nominate this one as a blocker.

@Cédric:
May be we are lucky and the problem will have been solved with the fix for Bug 32172?
Comment 9 Rainer Bielefeld Retired 2010-12-16 04:20:52 UTC
Also a problem with OOo 3.4-dev and OOo 3.1.1, I become a little doubtful concerning my blocker classification.
Comment 10 Cédric Bosdonnat 2010-12-16 04:25:13 UTC
(In reply to comment #8)
> I generally do not use vertical toolbars since OOo 1.4, but users with
> widescreen monitors might use that, and it's very visible problem, so I will
> nominate this one as a blocker.

Well, I don't really agree having that one as a blocker: this may even not be a regression and people still can use the toolbars. This can be fixed in a micro release.

> @Cédric:
> May be we are lucky and the problem will have been solved with the fix for Bug
> 32172?

No it's completely unrelated code.
Comment 11 Rainer Bielefeld Retired 2010-12-16 06:44:05 UTC
Blocker -> Normal, hasn't been a big problem for OOo, so here it isn't a blocker, too.
Comment 12 sasha.libreoffice 2011-04-19 04:58:25 UTC
Even toolbar Format has problem in vertical position. 
And this bug is duplicate for bug 35000
Comment 13 Rainer Bielefeld Retired 2011-08-02 09:01:05 UTC
*** Bug 35000 has been marked as a duplicate of this bug. ***
Comment 14 Rainer Bielefeld Retired 2011-08-02 09:16:10 UTC
Quick test with "LibreOffice 3.4.2  - WIN7  Home Premium (64bit) Spanish UI [OOO340m1 (Build:203)]" still showed the problem. Visible icons work fine, but if Toolbar is too long "context Menu" does not work, no picker appears For WRITER character color, background, ...  But that "no picker appears" is something different, also is a problem with horizontal docked toolbar

I also still see reported Impress / DRAW picker problems.
Comment 15 Björn Michaelsen 2011-12-23 13:25:13 UTC
Since all new unconfirmed bugs start in state UNCONFIRMED now and old unconfirmed bugs were moved to NEEDINFO with a explanatory comment, all bugs promoted above those bug states to NEW and later are automatically confirmed making the CONFIRMED whiteboard status redundant. Thus it will be removed.
Comment 16 sasha.libreoffice 2012-06-15 02:31:46 UTC
*** Bug 47714 has been marked as a duplicate of this bug. ***
Comment 17 sasha.libreoffice 2012-06-15 02:33:07 UTC
*** Bug 39745 has been marked as a duplicate of this bug. ***
Comment 18 sasha.libreoffice 2012-06-15 02:41:06 UTC
*** Bug 48631 has been marked as a duplicate of this bug. ***
Comment 19 Julien Nabet 2012-08-06 15:16:43 UTC
Just for an update, on master sources updated today, I reproduce these kind of problems.
I noticed no specific logs on console when the problem occured.
Comment 20 Frank Winklmeier 2012-09-06 10:07:13 UTC
I am seeing the same problem with Version 3.6.1.2 (Build ID: e29a214) on Ubuntu 11.04 (x86). In Impress or Writer, clicking on the little black dropdown arrow of the "Font Color" toolbar icon has no effect. No dropdown menu appears. The same is true for some of the other toolbar icons I tried (e.g. arrow style). Others like "Font Size" or "Font Name" work just fine. Contrary to the other reports here, it doesn't matter weather the toolbar is attached horizontally or vertically. The dropdown never works. I tried a complete re-install and also deleted .config/libreoffice/3/user without success. This makes LibreOffice basically unusable for me at the moment.
Comment 21 sasha.libreoffice 2012-09-06 10:30:31 UTC
@ Frank Winklmeier
Thanks for additional testing. 
Please, do not change "Version" and "Platform"
Comment 22 Frank Winklmeier 2012-10-30 16:15:24 UTC
I still see the same problem that I reported in comment #20 with Version 3.6.2.2 (Build ID: da8c1e6). It makes LibreOffice completely unusable on Ubuntu for me. Please let me know in case you need more information.
Comment 23 Rainer Bielefeld Retired 2012-10-31 05:47:10 UTC
May be we have to find different solutions for each affected button / icon / selector?

I reduce this bug to 1 icon from original report

@Michèle Garoche
Can you please submit separate bugs for each separate problem and list these bugs in "Bug 56602 - [Task]: Make toolbar icon function available for vertical toolbar arrangement"? I hope so we can get start fixing these problems a little quicker.
Comment 24 Frank Winklmeier 2012-11-02 10:12:00 UTC
@Rainer Bielefeld: I observe this problem for both vertical and horizontal toolbars. Should I submit a new bug report for this or is it the same issue?
Comment 25 bfoman (inactive) 2013-07-23 12:41:35 UTC
Confirmed with:
LO 4.2.0.0.alfa0
Build ID: 2013-06-24 own debug build 
Windows 7 Professional SP1 64 bit

Still an issue.
Comment 26 J. A. 2013-12-05 09:05:28 UTC
When using vertical toolbars, the "Font Name" and "Font Size" (and probably other) buttons do not work as triggers for drop-down menus, as they do in horizontal mode. 

Font Name at least opens the "Character" dialogue, which is not the expected behavior. 

Font Size does nothing at all.

Feels like vertical toolbar users are second-class citizens, which is curious given the prevalence of small widescreen monitors on laptops in which vertical space is at a premium and two-up is not practical.

Using 4.1.2.3 on Mac OS X 10.9.
Comment 27 Cédric Bosdonnat 2014-01-20 09:00:22 UTC
Restricted my LibreOffice hacking area
Comment 28 QA Administrators 2014-10-23 17:31:33 UTC
Please read this message in its entirety before responding.

Your bug was confirmed at least 1 year ago and has not had any activity on it for over a year. Your bug is still set to NEW which means that it is open and confirmed. It would be nice to have the bug confirmed on a newer version than the version reported in the original report to know that the bug is still present -- sometimes a bug is inadvertently fixed over time and just never closed.

If you have time please do the following:
1) Test to see if the bug is still present on a currently supported version of LibreOffice (preferably 4.2 or newer).
2) If it is present please leave a comment telling us what version of LibreOffice and your operating system.
3) If it is NOT present please set the bug to RESOLVED-WORKSFORME and leave a short comment telling us your version and Operating System

Please DO NOT
1) Update the version field
2) Reply via email (please reply directly on the bug tracker)
3) Set the bug to RESOLVED - FIXED (this status has a particular meaning that is not appropriate in this case)

+ + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + 
LibreOffice is powered by a team of volunteers, every bug is confirmed (triaged) by human beings who mostly give their time for free. We invite you to join our triaging by checking out this link:
https://wiki.documentfoundation.org/QA/BugTriage

There are also other ways to get involved including with marketing, UX, documentation, and of course developing -  http://www.libreoffice.org/get-help/mailing-lists/. 

Lastly, good bug reports help tremendously in making the process go smoother, please always provide reproducible steps (even if it seems easy) and attach any and all relevant material
Comment 29 Carolus 2014-10-23 20:02:25 UTC
(In reply to QA Administrators from comment #28)
> Please read this message in its entirety before responding.
> 
> Your bug was confirmed at least 1 year ago and has not had any activity on
> it for over a year. Your bug is still set to NEW which means that it is open
> and confirmed. It would be nice to have the bug confirmed on a newer version
> than the version reported in the original report to know that the bug is
> still present -- sometimes a bug is inadvertently fixed over time and just
> never closed.
> 
> If you have time please do the following:
> 1) Test to see if the bug is still present on a currently supported version
> of LibreOffice (preferably 4.2 or newer).
> 2) If it is present please leave a comment telling us what version of
> LibreOffice and your operating system.
> 3) If it is NOT present please set the bug to RESOLVED-WORKSFORME and leave
> a short comment telling us your version and Operating System
> 
> Please DO NOT
> 1) Update the version field
> 2) Reply via email (please reply directly on the bug tracker)
> 3) Set the bug to RESOLVED - FIXED (this status has a particular meaning
> that is not appropriate in this case)
> 
> + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + +
> + 
> LibreOffice is powered by a team of volunteers, every bug is confirmed
> (triaged) by human beings who mostly give their time for free. We invite you
> to join our triaging by checking out this link:
> https://wiki.documentfoundation.org/QA/BugTriage
> 
> There are also other ways to get involved including with marketing, UX,
> documentation, and of course developing - 
> http://www.libreoffice.org/get-help/mailing-lists/. 
> 
> Lastly, good bug reports help tremendously in making the process go
> smoother, please always provide reproducible steps (even if it seems easy)
> and attach any and all relevant material

Hi,

At the time I reported the bug, I was using Win XP SP3. Now I use Ubuntu Linux 14.04. LO is now is version 4.3.1.2. The bug concerning increase or decrease font is not present in this version.
(In reply to QA Administrators from comment #28)
So, as far as I am concerned, this bug can is resolved.

Carolus


> Please read this message in its entirety before responding.
> 
> Your bug was confirmed at least 1 year ago and has not had any activity on
> it for over a year. Your bug is still set to NEW which means that it is open
> and confirmed. It would be nice to have the bug confirmed on a newer version
> than the version reported in the original report to know that the bug is
> still present -- sometimes a bug is inadvertently fixed over time and just
> never closed.
> 
> If you have time please do the following:
> 1) Test to see if the bug is still present on a currently supported version
> of LibreOffice (preferably 4.2 or newer).
> 2) If it is present please leave a comment telling us what version of
> LibreOffice and your operating system.
> 3) If it is NOT present please set the bug to RESOLVED-WORKSFORME and leave
> a short comment telling us your version and Operating System
> 
> Please DO NOT
> 1) Update the version field
> 2) Reply via email (please reply directly on the bug tracker)
> 3) Set the bug to RESOLVED - FIXED (this status has a particular meaning
> that is not appropriate in this case)
> 
> + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + +
> + 
> LibreOffice is powered by a team of volunteers, every bug is confirmed
> (triaged) by human beings who mostly give their time for free. We invite you
> to join our triaging by checking out this link:
> https://wiki.documentfoundation.org/QA/BugTriage
> 
> There are also other ways to get involved including with marketing, UX,
> documentation, and of course developing - 
> http://www.libreoffice.org/get-help/mailing-lists/. 
> 
> Lastly, good bug reports help tremendously in making the process go
> smoother, please always provide reproducible steps (even if it seems easy)
> and attach any and all relevant material
Comment 30 Chad Condon 2014-10-26 20:11:47 UTC
(In reply to Carolus from comment #29)
> So, as far as I am concerned, this bug can is resolved.

Great!
Status -> Resolved: Works for me